<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:horizontalGap="3dip"
    android:verticalGap="0dip"
    android:keyWidth="25%p"
    android:keyHeight="20%p">

    <Row android:rowEdgeFlags="top" android:keyHeight="0.5dp">
    </Row>

    <Row android:rowEdgeFlags="bottom">
        <Key android:codes="-10002" android:keyLabel="1 2 3" android:keyEdgeFlags="left" />
        <Key android:codes="-10003" android:keyLabel="! ? #" />
        <Key android:codes="127" android:isRepeatable="true" android:keyIcon="@drawable/keyboard_del" />
        <Key android:codes="-15000" android:keyEdgeFlags="right" android:keyIcon="@drawable/pin_ok" />
    </Row>
</Keyboard>
